
Figure - Bug #116482
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】音乐小窗部分页面进行mini模式切换或者进入任务管理器时，无法保持最初的
状态
2023-02-23 14:26 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-23

Priority: Normal Due date: 2023-03-10

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-20

Test Type: ST Root cause: 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开音乐小窗

2、进入音乐播放界面

3、切换至mini模式

4、拖动mini小窗

5、进入recent

6、退出recent

【预期结果】

3、mini小窗显示为步骤2中的页面缩小版

4、mini小窗的内容显示不会发生变化

6、页面显示与进入recent之前的页面一致

【实际结果】

3、4、歌曲播放页面有小幅度的上下移动现象

6、页面显示与进入recent之前的页面不一致

【复现率】

3/3

History

#1 - 2023-02-28 10:29 - CD FW-鲁凯峰

- Due date set to 2023-03-10

#2 - 2023-02-28 14:34 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#3 - 2023-03-02 17:50 - CD TEST-方永红

测试内容补充
图库、抖音、快手等应用进入recent之后都无法保持进入之前的页面状态

#4 - 2023-03-03 10:45 - CD FW-鲁凯峰

在有小窗的情况下进入Recent,会把之前的小窗先finish掉,然后在退出Recent的时候,重新启动小窗,导致的状态不对

#5 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#6 - 2023-03-10 09:55 - CD FW-鲁凯峰

■ Current conclusion

目前有个初步的解决方法,还需要launcher那边进行配合

■ My analysis

采用目前的方案后,会导致在有小窗的情况下 从Launcher进入recent,小窗的缩率图无法生成,这个需要Launcher一起配合修改

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/184229

#7 - 2023-03-23 14:26 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0086_20230328

#8 - 2023-03-28 10:43 - CD FW-鲁凯峰

缩率图的问题需要Launcher那边去处理，目前还有小窗和Recent交互的问题还需要继续处理

#9 - 2023-04-04 11:24 - CD FW-鲁凯峰

目前有个初版 正在验证中

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/184229

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/190686

#10 - 2023-04-04 16:51 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0086_20230328 to VC1_FSE_0090_20230411

#11 - 2023-04-19 15:35 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-20

- Root cause set to 依赖强制小窗功能，强制小窗功能已入

Hi 永红

该问题依赖强制小窗功能

强制小窗功能已入，请帮助在新版本中测试验证，谢谢
#12 - 2023-04-19 15:36 - CD FW 曹覃刚

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

#13 - 2023-04-19 16:18 - CD TEST-方永红

- File Phone-STS40X190078 2023-04-19 16-15-37.mp4 added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW 曹覃刚

4.19

【测试版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304190056

【测试步骤】

1、打开音乐->非初始页面->进入recent->退出recent->音乐回到初始页面

2、打开喜马拉雅->登录页面->进入recent->退出recent->回到初始页面

#14 - 2023-04-21 17:33 - CD FW 曹覃刚

■ 当前的状态

做了一个修复方案，但是改动量比较大

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/184229

编译了VB，测试同学(方永红)在帮忙验证中

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230421/202304211123-3384

■ 下一步计划

待验证结果

验证OK，入库关票

验证NG，优化修复方案

#15 - 2023-04-23 16:17 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#16 - 2023-05-04 20:20 - CD FW-鲁凯峰

根据之前讨论的方案,正在考虑将小窗移到后台,不在finish.

目前还在编码中

#17 - 2023-05-10 20:58 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Root cause changed from 依赖强制小窗功能，强制小窗功能已入 to 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小

窗

■ Current conclusion

问题已经解决

■ My analysis

采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗
■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196923

#18 - 2023-05-11 13:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

5.11

验证通过

#19 - 2023-05-11 13:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-23 14-12-16.mp4 18 MB 2023-02-23 CD TEST-方永红

Phone-STS40X190078 2023-04-19 16-15-37.mp4 9.52 MB 2023-04-19 CD TEST-方永红
